<form *ngIf="user" #f="ngForm">
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="firstnameInput" class="required">Vorname</label>
      <input id="firstnameInput" class="form-control" type="text"
             #firstname="ngModel" [(ngModel)]="user.firstName"
             name="firstnameInput" placeholder="z.B. Daisy"
             required>
      <app-show-form-errors [control]="firstname"></app-show-form-errors>
    </div>
    <div class="form-group col-md-6">
      <label for="lastnameInput" class="required">Nachname</label>
      <input id="lastnameInput" class="form-control" type="text"
             #lastname="ngModel" [(ngModel)]="user.lastName"
             name="lastnameInput" placeholder="z.B. Duck"
             required>
      <app-show-form-errors [control]="lastname"></app-show-form-errors>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="phoneInput">Telefon</label>
      <input id="phoneInput" class="form-control" type="tel"
      #phone="ngModel" [(ngModel)]="user.phone" name="phoneInput"
      placeholder="z.B. 01234 / 56789">
      <app-show-form-errors [control]="phone"></app-show-form-errors>
    </div>
  </div>
  <hr>
  <eos-address-form [address]="user.address"></eos-address-form>
</form>
